Agent Insight Monitors
Update the lifecycle status of an insight
PATCH
/agent_insight_monitors/{monitor_id}/insights/{insight_id}Path ParametersQuery ParametersHeader Parameters
monitor_idstringrequired
The identifier of the monitor.insight_idstringrequired
The identifier of the insight.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.AgentInsights=V1Preview
Request BodyThe insight fields to update.Content-Type: application/merge-patch+json
statusenum
The lifecycle status of an agent insight.activeresolvedignored
Responses
idstringrequired
The insight identifier.monitor_idstringrequired
The Agent Insights monitor this insight belongs to.agent_namestringrequired
The agent this insight belongs to.agent_versionstringrequired
The latest immutable agent version associated with this insight.titlestringrequired
A short title for the issue.severityenumrequired
The severity of an agent insight.highmediumlow
categorystringrequired
An open, service-generated category label for the issue. Clients must accept previously unseen values.statusenumrequired
The lifecycle status of an agent insight.activeresolvedignored
trace_countintegerrequired
The number of traces that provide evidence for this insight.created_atintegerrequired
updated_atintegerrequired
descriptionstringrequired
The root-cause diagnosis for the issue.detailsAgentInsightDetails
Additional insight details. Omitted unless details are requested.highlighted_tracesAgentInsightHighlightedTrace[]required
Up to 5 highlighted traces that provide evidence for this insight.linked_tracesAgentInsightLinkedTrace[]required
Up to 200 most recent traces linked to this insight as supporting evidence.recommended_actionsAgentInsightRecommendedActionrequired
The recommended remediation for an agent insight.